Loading...
Searching...
No Matches
BALL::ShiftedLVMMMinimizer::Option Struct Reference

`#include <BALL/MOLMEC/MINIMIZATION/shiftedLVMM.h>`

## Static Public Attributes

static const char * | UPDATE_METHOD
static const char * | CORRECTION_PARAMETER
static const char * | NUM_OF_COLUMNS

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in ShiftedLVMMMinimizer::options.

  For each symbol the required type is given under parameters.

Definition at line 52 of file shiftedLVMM.h.

## Member Data Documentation

## CORRECTION_PARAMETER

const char* BALL::ShiftedLVMMMinimizer::Option::CORRECTION_PARAMETER

static

Which correction parameter should be used?

Definition at line 60 of file shiftedLVMM.h.

## NUM_OF_COLUMNS

const char* BALL::ShiftedLVMMMinimizer::Option::NUM_OF_COLUMNS

static

The number of columns of the factor of the shifted inverse hessian approximation.

Definition at line 65 of file shiftedLVMM.h.

## UPDATE_METHOD

const char* BALL::ShiftedLVMMMinimizer::Option::UPDATE_METHOD

static

Which update method should be used?

Definition at line 56 of file shiftedLVMM.h.